Loading...
Searching...
No Matches
contactdata Struct Reference

`#include <voms_api.h>`

## Data Fields

std::string | nick
std::string | host
std::string | contact
std::string | vo
int | port
int | version

## Detailed Description

Definition at line 86 of file voms_api.h.

## Field Documentation

## contact

std::string contactdata::contact

The subject of the server's certificate

Definition at line 92 of file voms_api.h.

## host

std::string contactdata::host

The hostname of the server

Definition at line 91 of file voms_api.h.

## nick

std::string contactdata::nick

< You must never allocate directly this structure. Its sizeof() is subject to change without notice. The only supported way to obtain it is via the FindBy* functions. The alias of the server

Definition at line 90 of file voms_api.h.

## port

int contactdata::port

The port on which the server is listening

Definition at line 94 of file voms_api.h.

## version

int contactdata::version

The version of globus under which the server is running

Definition at line 96 of file voms_api.h.

## vo

std::string contactdata::vo

The VO served by this server

Definition at line 93 of file voms_api.h.

The documentation for this struct was generated from the following file:

- voms_api.h